Index: uspace/srv/net/ethip/ethip_nic.c
===================================================================
--- uspace/srv/net/ethip/ethip_nic.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/srv/net/ethip/ethip_nic.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -39,5 +39,4 @@
 #include <stdbool.h>
 #include <errno.h>
-#include <str_error.h>
 #include <fibril_synch.h>
 #include <inet/iplink_srv.h>
@@ -51,5 +50,5 @@
 #include "pdu.h"
 
-static errno_t ethip_nic_open(service_id_t sid);
+static int ethip_nic_open(service_id_t sid);
 static void ethip_nic_cb_conn(ipc_callid_t iid, ipc_call_t *icall, void *arg);
 
@@ -57,5 +56,5 @@
 static FIBRIL_MUTEX_INITIALIZE(ethip_discovery_lock);
 
-static errno_t ethip_nic_check_new(void)
+static int ethip_nic_check_new(void)
 {
 	bool already_known;
@@ -63,5 +62,5 @@
 	service_id_t *svcs;
 	size_t count, i;
-	errno_t rc;
+	int rc;
 
 	fibril_mutex_lock(&ethip_discovery_lock);
@@ -147,5 +146,5 @@
 }
 
-static errno_t ethip_nic_open(service_id_t sid)
+static int ethip_nic_open(service_id_t sid)
 {
 	bool in_list = false;
@@ -157,5 +156,5 @@
 		return ENOMEM;
 	
-	errno_t rc = loc_service_get_name(sid, &nic->svc_name);
+	int rc = loc_service_get_name(sid, &nic->svc_name);
 	if (rc != EOK) {
 		log_msg(LOG_DEFAULT, LVL_ERROR, "Failed getting service name.");
@@ -234,5 +233,5 @@
 	uint8_t *addr;
 	size_t size;
-	errno_t rc;
+	int rc;
 
 	rc = async_data_write_accept((void **)&addr, false, 0, 0, 0, &size);
@@ -261,5 +260,5 @@
     ipc_call_t *call)
 {
-	errno_t rc;
+	int rc;
 	void *data;
 	size_t size;
@@ -281,5 +280,5 @@
 	free(data);
 
-	log_msg(LOG_DEFAULT, LVL_DEBUG, "ethip_nic_received() done, rc=%s", str_error_name(rc));
+	log_msg(LOG_DEFAULT, LVL_DEBUG, "ethip_nic_received() done, rc=%d", rc);
 	async_answer_0(callid, rc);
 }
@@ -324,10 +323,10 @@
 }
 
-errno_t ethip_nic_discovery_start(void)
-{
-	errno_t rc = loc_register_cat_change_cb(ethip_nic_cat_change_cb);
+int ethip_nic_discovery_start(void)
+{
+	int rc = loc_register_cat_change_cb(ethip_nic_cat_change_cb);
 	if (rc != EOK) {
 		log_msg(LOG_DEFAULT, LVL_ERROR, "Failed registering callback for NIC "
-		    "discovery: %s.", str_error(rc));
+		    "discovery (%d).", rc);
 		return rc;
 	}
@@ -353,10 +352,10 @@
 }
 
-errno_t ethip_nic_send(ethip_nic_t *nic, void *data, size_t size)
-{
-	errno_t rc;
+int ethip_nic_send(ethip_nic_t *nic, void *data, size_t size)
+{
+	int rc;
 	log_msg(LOG_DEFAULT, LVL_DEBUG, "ethip_nic_send(size=%zu)", size);
 	rc = nic_send_frame(nic->sess, data, size);
-	log_msg(LOG_DEFAULT, LVL_DEBUG, "nic_send_frame -> %s", str_error_name(rc));
+	log_msg(LOG_DEFAULT, LVL_DEBUG, "nic_send_frame -> %d", rc);
 	return rc;
 }
@@ -368,5 +367,5 @@
  *
  */
-static errno_t ethip_nic_setup_multicast(ethip_nic_t *nic)
+static int ethip_nic_setup_multicast(ethip_nic_t *nic)
 {
 	log_msg(LOG_DEFAULT, LVL_DEBUG, "ethip_nic_setup_multicast()");
@@ -425,5 +424,5 @@
 	/* Setup the multicast MAC list */
 	
-	errno_t rc = nic_multicast_set_mode(nic->sess, NIC_MULTICAST_LIST,
+	int rc = nic_multicast_set_mode(nic->sess, NIC_MULTICAST_LIST,
 	    mac_list, count);
 	
@@ -432,5 +431,5 @@
 }
 
-errno_t ethip_nic_addr_add(ethip_nic_t *nic, inet_addr_t *addr)
+int ethip_nic_addr_add(ethip_nic_t *nic, inet_addr_t *addr)
 {
 	log_msg(LOG_DEFAULT, LVL_DEBUG, "ethip_nic_addr_add()");
@@ -445,5 +444,5 @@
 }
 
-errno_t ethip_nic_addr_remove(ethip_nic_t *nic, inet_addr_t *addr)
+int ethip_nic_addr_remove(ethip_nic_t *nic, inet_addr_t *addr)
 {
 	log_msg(LOG_DEFAULT, LVL_DEBUG, "ethip_nic_addr_remove()");
Index: uspace/srv/net/ethip/ethip_nic.h
===================================================================
--- uspace/srv/net/ethip/ethip_nic.h	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/srv/net/ethip/ethip_nic.h	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -42,9 +42,9 @@
 #include "ethip.h"
 
-extern errno_t ethip_nic_discovery_start(void);
+extern int ethip_nic_discovery_start(void);
 extern ethip_nic_t *ethip_nic_find_by_iplink_sid(service_id_t);
-extern errno_t ethip_nic_send(ethip_nic_t *, void *, size_t);
-extern errno_t ethip_nic_addr_add(ethip_nic_t *, inet_addr_t *);
-extern errno_t ethip_nic_addr_remove(ethip_nic_t *, inet_addr_t *);
+extern int ethip_nic_send(ethip_nic_t *, void *, size_t);
+extern int ethip_nic_addr_add(ethip_nic_t *, inet_addr_t *);
+extern int ethip_nic_addr_remove(ethip_nic_t *, inet_addr_t *);
 extern ethip_link_addr_t *ethip_nic_addr_find(ethip_nic_t *, inet_addr_t *);
 
Index: uspace/srv/net/ethip/pdu.c
===================================================================
--- uspace/srv/net/ethip/pdu.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/srv/net/ethip/pdu.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -47,5 +47,5 @@
 
 /** Encode Ethernet PDU. */
-errno_t eth_pdu_encode(eth_frame_t *frame, void **rdata, size_t *rsize)
+int eth_pdu_encode(eth_frame_t *frame, void **rdata, size_t *rsize)
 {
 	void *data;
@@ -75,5 +75,5 @@
 
 /** Decode Ethernet PDU. */
-errno_t eth_pdu_decode(void *data, size_t size, eth_frame_t *frame)
+int eth_pdu_decode(void *data, size_t size, eth_frame_t *frame)
 {
 	eth_header_t *hdr;
@@ -106,5 +106,5 @@
 
 /** Encode ARP PDU. */
-errno_t arp_pdu_encode(arp_eth_packet_t *packet, void **rdata, size_t *rsize)
+int arp_pdu_encode(arp_eth_packet_t *packet, void **rdata, size_t *rsize)
 {
 	void *data;
@@ -149,5 +149,5 @@
 
 /** Decode ARP PDU. */
-errno_t arp_pdu_decode(void *data, size_t size, arp_eth_packet_t *packet)
+int arp_pdu_decode(void *data, size_t size, arp_eth_packet_t *packet)
 {
 	arp_eth_packet_fmt_t *pfmt;
Index: uspace/srv/net/ethip/pdu.h
===================================================================
--- uspace/srv/net/ethip/pdu.h	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/srv/net/ethip/pdu.h	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -40,8 +40,8 @@
 #include "ethip.h"
 
-extern errno_t eth_pdu_encode(eth_frame_t *, void **, size_t *);
-extern errno_t eth_pdu_decode(void *, size_t, eth_frame_t *);
-extern errno_t arp_pdu_encode(arp_eth_packet_t *, void **, size_t *);
-extern errno_t arp_pdu_decode(void *, size_t, arp_eth_packet_t *);
+extern int eth_pdu_encode(eth_frame_t *, void **, size_t *);
+extern int eth_pdu_decode(void *, size_t, eth_frame_t *);
+extern int arp_pdu_encode(arp_eth_packet_t *, void **, size_t *);
+extern int arp_pdu_decode(void *, size_t, arp_eth_packet_t *);
 
 #endif
Index: uspace/srv/net/inetsrv/addrobj.c
===================================================================
--- uspace/srv/net/inetsrv/addrobj.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/srv/net/inetsrv/addrobj.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -78,5 +78,5 @@
 }
 
-errno_t inet_addrobj_add(inet_addrobj_t *addr)
+int inet_addrobj_add(inet_addrobj_t *addr)
 {
 	inet_addrobj_t *aobj;
@@ -212,5 +212,5 @@
 
 /** Send datagram from address object */
-errno_t inet_addrobj_send_dgram(inet_addrobj_t *addr, inet_addr_t *ldest,
+int inet_addrobj_send_dgram(inet_addrobj_t *addr, inet_addr_t *ldest,
     inet_dgram_t *dgram, uint8_t proto, uint8_t ttl, int df)
 {
@@ -229,5 +229,5 @@
 		return EINVAL;
 
-	errno_t rc;
+	int rc;
 	addr48_t ldest_mac;
 
@@ -255,5 +255,5 @@
 
 /** Get IDs of all address objects. */
-errno_t inet_addrobj_get_id_list(sysarg_t **rid_list, size_t *rcount)
+int inet_addrobj_get_id_list(sysarg_t **rid_list, size_t *rcount)
 {
 	sysarg_t *id_list;
Index: uspace/srv/net/inetsrv/addrobj.h
===================================================================
--- uspace/srv/net/inetsrv/addrobj.h	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/srv/net/inetsrv/addrobj.h	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -51,12 +51,12 @@
 extern inet_addrobj_t *inet_addrobj_new(void);
 extern void inet_addrobj_delete(inet_addrobj_t *);
-extern errno_t inet_addrobj_add(inet_addrobj_t *);
+extern int inet_addrobj_add(inet_addrobj_t *);
 extern void inet_addrobj_remove(inet_addrobj_t *);
 extern inet_addrobj_t *inet_addrobj_find(inet_addr_t *, inet_addrobj_find_t);
 extern inet_addrobj_t *inet_addrobj_find_by_name(const char *, inet_link_t *);
 extern inet_addrobj_t *inet_addrobj_get_by_id(sysarg_t);
-extern errno_t inet_addrobj_send_dgram(inet_addrobj_t *, inet_addr_t *,
+extern int inet_addrobj_send_dgram(inet_addrobj_t *, inet_addr_t *,
     inet_dgram_t *, uint8_t, uint8_t, int);
-extern errno_t inet_addrobj_get_id_list(sysarg_t **, size_t *);
+extern int inet_addrobj_get_id_list(sysarg_t **, size_t *);
 
 #endif
Index: uspace/srv/net/inetsrv/icmp.c
===================================================================
--- uspace/srv/net/inetsrv/icmp.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/srv/net/inetsrv/icmp.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -50,8 +50,8 @@
 #define INET_TTL_MAX 255
 
-static errno_t icmp_recv_echo_request(inet_dgram_t *);
-static errno_t icmp_recv_echo_reply(inet_dgram_t *);
+static int icmp_recv_echo_request(inet_dgram_t *);
+static int icmp_recv_echo_reply(inet_dgram_t *);
 
-errno_t icmp_recv(inet_dgram_t *dgram)
+int icmp_recv(inet_dgram_t *dgram)
 {
 	uint8_t type;
@@ -76,5 +76,5 @@
 }
 
-static errno_t icmp_recv_echo_request(inet_dgram_t *dgram)
+static int icmp_recv_echo_request(inet_dgram_t *dgram)
 {
 	icmp_echo_t *request, *reply;
@@ -82,5 +82,5 @@
 	size_t size;
 	inet_dgram_t rdgram;
-	errno_t rc;
+	int rc;
 
 	log_msg(LOG_DEFAULT, LVL_DEBUG, "icmp_recv_echo_request()");
@@ -119,5 +119,5 @@
 }
 
-static errno_t icmp_recv_echo_reply(inet_dgram_t *dgram)
+static int icmp_recv_echo_reply(inet_dgram_t *dgram)
 {
 	log_msg(LOG_DEFAULT, LVL_DEBUG, "icmp_recv_echo_reply()");
@@ -141,5 +141,5 @@
 }
 
-errno_t icmp_ping_send(uint16_t ident, inetping_sdu_t *sdu)
+int icmp_ping_send(uint16_t ident, inetping_sdu_t *sdu)
 {
 	size_t rsize = sizeof(icmp_echo_t) + sdu->size;
@@ -170,5 +170,5 @@
 	dgram.size = rsize;
 
-	errno_t rc = inet_route_packet(&dgram, IP_PROTO_ICMP, INET_TTL_MAX, 0);
+	int rc = inet_route_packet(&dgram, IP_PROTO_ICMP, INET_TTL_MAX, 0);
 
 	free(rdata);
Index: uspace/srv/net/inetsrv/icmp.h
===================================================================
--- uspace/srv/net/inetsrv/icmp.h	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/srv/net/inetsrv/icmp.h	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -41,6 +41,6 @@
 #include "inetsrv.h"
 
-extern errno_t icmp_recv(inet_dgram_t *);
-extern errno_t icmp_ping_send(uint16_t, inetping_sdu_t *);
+extern int icmp_recv(inet_dgram_t *);
+extern int icmp_ping_send(uint16_t, inetping_sdu_t *);
 
 #endif
Index: uspace/srv/net/inetsrv/icmpv6.c
===================================================================
--- uspace/srv/net/inetsrv/icmpv6.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/srv/net/inetsrv/icmpv6.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -47,5 +47,5 @@
 #include "pdu.h"
 
-static errno_t icmpv6_recv_echo_request(inet_dgram_t *dgram)
+static int icmpv6_recv_echo_request(inet_dgram_t *dgram)
 {
 	log_msg(LOG_DEFAULT, LVL_DEBUG, "icmpv6_recv_echo_request()");
@@ -101,5 +101,5 @@
 	reply->checksum = host2uint16_t_be(cs_all);
 	
-	errno_t rc = inet_route_packet(&rdgram, IP_PROTO_ICMPV6,
+	int rc = inet_route_packet(&rdgram, IP_PROTO_ICMPV6,
 	    INET6_HOP_LIMIT_MAX, 0);
 	
@@ -109,5 +109,5 @@
 }
 
-static errno_t icmpv6_recv_echo_reply(inet_dgram_t *dgram)
+static int icmpv6_recv_echo_reply(inet_dgram_t *dgram)
 {
 	log_msg(LOG_DEFAULT, LVL_DEBUG, "icmpv6_recv_echo_reply()");
@@ -132,5 +132,5 @@
 }
 
-errno_t icmpv6_recv(inet_dgram_t *dgram)
+int icmpv6_recv(inet_dgram_t *dgram)
 {
 	log_msg(LOG_DEFAULT, LVL_DEBUG, "icmpv6_recv()");
@@ -157,5 +157,5 @@
 }
 
-errno_t icmpv6_ping_send(uint16_t ident, inetping_sdu_t *sdu)
+int icmpv6_ping_send(uint16_t ident, inetping_sdu_t *sdu)
 {
 	size_t rsize = sizeof(icmpv6_message_t) + sdu->size;
@@ -202,5 +202,5 @@
 	request->checksum = host2uint16_t_be(cs_all);
 	
-	errno_t rc = inet_route_packet(&dgram, IP_PROTO_ICMPV6,
+	int rc = inet_route_packet(&dgram, IP_PROTO_ICMPV6,
 	    INET6_HOP_LIMIT_MAX, 0);
 	
Index: uspace/srv/net/inetsrv/icmpv6.h
===================================================================
--- uspace/srv/net/inetsrv/icmpv6.h	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/srv/net/inetsrv/icmpv6.h	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -41,6 +41,6 @@
 #include "inetsrv.h"
 
-extern errno_t icmpv6_recv(inet_dgram_t *);
-extern errno_t icmpv6_ping_send(uint16_t, inetping_sdu_t *);
+extern int icmpv6_recv(inet_dgram_t *);
+extern int icmpv6_ping_send(uint16_t, inetping_sdu_t *);
 
 #endif
Index: uspace/srv/net/inetsrv/inet_link.c
===================================================================
--- uspace/srv/net/inetsrv/inet_link.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/srv/net/inetsrv/inet_link.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -37,5 +37,4 @@
 #include <stdbool.h>
 #include <errno.h>
-#include <str_error.h>
 #include <fibril_synch.h>
 #include <inet/iplink.h>
@@ -55,6 +54,6 @@
 static uint16_t ip_ident = 0;
 
-static errno_t inet_iplink_recv(iplink_t *, iplink_recv_sdu_t *, ip_ver_t);
-static errno_t inet_iplink_change_addr(iplink_t *, addr48_t);
+static int inet_iplink_recv(iplink_t *, iplink_recv_sdu_t *, ip_ver_t);
+static int inet_iplink_change_addr(iplink_t *, addr48_t);
 static inet_link_t *inet_link_get_by_id_locked(sysarg_t);
 
@@ -83,9 +82,9 @@
 }
 
-static errno_t inet_iplink_recv(iplink_t *iplink, iplink_recv_sdu_t *sdu, ip_ver_t ver)
+static int inet_iplink_recv(iplink_t *iplink, iplink_recv_sdu_t *sdu, ip_ver_t ver)
 {
 	log_msg(LOG_DEFAULT, LVL_DEBUG, "inet_iplink_recv()");
 
-	errno_t rc;
+	int rc;
 	inet_packet_t packet;
 	inet_link_t *ilink;
@@ -115,5 +114,5 @@
 	log_msg(LOG_DEFAULT, LVL_DEBUG, "call inet_recv_packet()");
 	rc = inet_recv_packet(&packet);
-	log_msg(LOG_DEFAULT, LVL_DEBUG, "call inet_recv_packet -> %s", str_error_name(rc));
+	log_msg(LOG_DEFAULT, LVL_DEBUG, "call inet_recv_packet -> %d", rc);
 	free(packet.data);
 
@@ -121,5 +120,5 @@
 }
 
-static errno_t inet_iplink_change_addr(iplink_t *iplink, addr48_t mac)
+static int inet_iplink_change_addr(iplink_t *iplink, addr48_t mac)
 {
 	log_msg(LOG_DEFAULT, LVL_DEBUG, "inet_iplink_change_addr(): "
@@ -158,9 +157,9 @@
 }
 
-errno_t inet_link_open(service_id_t sid)
+int inet_link_open(service_id_t sid)
 {
 	inet_link_t *ilink;
 	inet_addr_t iaddr;
-	errno_t rc;
+	int rc;
 
 	log_msg(LOG_DEFAULT, LVL_DEBUG, "inet_link_open()");
@@ -312,5 +311,5 @@
  *
  */
-errno_t inet_link_send_dgram(inet_link_t *ilink, addr32_t lsrc, addr32_t ldest,
+int inet_link_send_dgram(inet_link_t *ilink, addr32_t lsrc, addr32_t ldest,
     inet_dgram_t *dgram, uint8_t proto, uint8_t ttl, int df)
 {
@@ -352,5 +351,5 @@
 	packet.size = dgram->size;
 	
-	errno_t rc;
+	int rc;
 	size_t offs = 0;
 	
@@ -387,5 +386,5 @@
  *
  */
-errno_t inet_link_send_dgram6(inet_link_t *ilink, addr48_t ldest,
+int inet_link_send_dgram6(inet_link_t *ilink, addr48_t ldest,
     inet_dgram_t *dgram, uint8_t proto, uint8_t ttl, int df)
 {
@@ -425,5 +424,5 @@
 	packet.size = dgram->size;
 	
-	errno_t rc;
+	int rc;
 	size_t offs = 0;
 	
@@ -471,5 +470,5 @@
 
 /** Get IDs of all links. */
-errno_t inet_link_get_id_list(sysarg_t **rid_list, size_t *rcount)
+int inet_link_get_id_list(sysarg_t **rid_list, size_t *rcount)
 {
 	sysarg_t *id_list;
Index: uspace/srv/net/inetsrv/inet_link.h
===================================================================
--- uspace/srv/net/inetsrv/inet_link.h	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/srv/net/inetsrv/inet_link.h	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -42,11 +42,11 @@
 #include "inetsrv.h"
 
-extern errno_t inet_link_open(service_id_t);
-extern errno_t inet_link_send_dgram(inet_link_t *, addr32_t,
+extern int inet_link_open(service_id_t);
+extern int inet_link_send_dgram(inet_link_t *, addr32_t,
     addr32_t, inet_dgram_t *, uint8_t, uint8_t, int);
-extern errno_t inet_link_send_dgram6(inet_link_t *, addr48_t, inet_dgram_t *,
+extern int inet_link_send_dgram6(inet_link_t *, addr48_t, inet_dgram_t *,
     uint8_t, uint8_t, int);
 extern inet_link_t *inet_link_get_by_id(sysarg_t);
-extern errno_t inet_link_get_id_list(sysarg_t **, size_t *);
+extern int inet_link_get_id_list(sysarg_t **, size_t *);
 
 #endif
Index: uspace/srv/net/inetsrv/inetcfg.c
===================================================================
--- uspace/srv/net/inetsrv/inetcfg.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/srv/net/inetsrv/inetcfg.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -52,5 +52,5 @@
 #include "sroute.h"
 
-static errno_t inetcfg_addr_create_static(char *name, inet_naddr_t *naddr,
+static int inetcfg_addr_create_static(char *name, inet_naddr_t *naddr,
     sysarg_t link_id, sysarg_t *addr_id)
 {
@@ -58,5 +58,5 @@
 	inet_addrobj_t *addr;
 	inet_addr_t iaddr;
-	errno_t rc;
+	int rc;
 
 	ilink = inet_link_get_by_id(link_id);
@@ -95,5 +95,5 @@
 }
 
-static errno_t inetcfg_addr_delete(sysarg_t addr_id)
+static int inetcfg_addr_delete(sysarg_t addr_id)
 {
 	inet_addrobj_t *addr;
@@ -109,5 +109,5 @@
 }
 
-static errno_t inetcfg_addr_get(sysarg_t addr_id, inet_addr_info_t *ainfo)
+static int inetcfg_addr_get(sysarg_t addr_id, inet_addr_info_t *ainfo)
 {
 	inet_addrobj_t *addr;
@@ -124,5 +124,5 @@
 }
 
-static errno_t inetcfg_addr_get_id(char *name, sysarg_t link_id, sysarg_t *addr_id)
+static int inetcfg_addr_get_id(char *name, sysarg_t link_id, sysarg_t *addr_id)
 {
 	inet_link_t *ilink;
@@ -145,25 +145,25 @@
 }
 
-static errno_t inetcfg_get_addr_list(sysarg_t **addrs, size_t *count)
+static int inetcfg_get_addr_list(sysarg_t **addrs, size_t *count)
 {
 	return inet_addrobj_get_id_list(addrs, count);
 }
 
-static errno_t inetcfg_get_link_list(sysarg_t **addrs, size_t *count)
+static int inetcfg_get_link_list(sysarg_t **addrs, size_t *count)
 {
 	return inet_link_get_id_list(addrs, count);
 }
 
-static errno_t inetcfg_get_sroute_list(sysarg_t **sroutes, size_t *count)
+static int inetcfg_get_sroute_list(sysarg_t **sroutes, size_t *count)
 {
 	return inet_sroute_get_id_list(sroutes, count);
 }
 
-static errno_t inetcfg_link_add(sysarg_t link_id)
+static int inetcfg_link_add(sysarg_t link_id)
 {
 	return inet_link_open(link_id);
 }
 
-static errno_t inetcfg_link_get(sysarg_t link_id, inet_link_info_t *linfo)
+static int inetcfg_link_get(sysarg_t link_id, inet_link_info_t *linfo)
 {
 	inet_link_t *ilink;
@@ -185,10 +185,10 @@
 }
 
-static errno_t inetcfg_link_remove(sysarg_t link_id)
+static int inetcfg_link_remove(sysarg_t link_id)
 {
 	return ENOTSUP;
 }
 
-static errno_t inetcfg_sroute_create(char *name, inet_naddr_t *dest,
+static int inetcfg_sroute_create(char *name, inet_naddr_t *dest,
     inet_addr_t *router, sysarg_t *sroute_id)
 {
@@ -210,5 +210,5 @@
 }
 
-static errno_t inetcfg_sroute_delete(sysarg_t sroute_id)
+static int inetcfg_sroute_delete(sysarg_t sroute_id)
 {
 	inet_sroute_t *sroute;
@@ -224,5 +224,5 @@
 }
 
-static errno_t inetcfg_sroute_get(sysarg_t sroute_id, inet_sroute_info_t *srinfo)
+static int inetcfg_sroute_get(sysarg_t sroute_id, inet_sroute_info_t *srinfo)
 {
 	inet_sroute_t *sroute;
@@ -239,5 +239,5 @@
 }
 
-static errno_t inetcfg_sroute_get_id(char *name, sysarg_t *sroute_id)
+static int inetcfg_sroute_get_id(char *name, sysarg_t *sroute_id)
 {
 	inet_sroute_t *sroute;
@@ -275,5 +275,5 @@
 	
 	inet_naddr_t naddr;
-	errno_t rc = async_data_write_finalize(callid, &naddr, size);
+	int rc = async_data_write_finalize(callid, &naddr, size);
 	if (rc != EOK) {
 		async_answer_0(callid, rc);
@@ -299,5 +299,5 @@
 {
 	sysarg_t addr_id;
-	errno_t rc;
+	int rc;
 
 	log_msg(LOG_DEFAULT, LVL_DEBUG, "inetcfg_addr_delete_srv()");
@@ -321,5 +321,5 @@
 	ainfo.name = NULL;
 	
-	errno_t rc = inetcfg_addr_get(addr_id, &ainfo);
+	int rc = inetcfg_addr_get(addr_id, &ainfo);
 	if (rc != EOK) {
 		async_answer_0(iid, rc);
@@ -364,5 +364,5 @@
 	}
 	
-	async_answer_1(iid, rc, ainfo.ilink);
+	async_answer_1(iid, (sysarg_t) rc, ainfo.ilink);
 }
 
@@ -372,5 +372,5 @@
 	sysarg_t link_id;
 	sysarg_t addr_id;
-	errno_t rc;
+	int rc;
 
 	log_msg(LOG_DEFAULT, LVL_DEBUG, "inetcfg_addr_get_id_srv()");
@@ -399,5 +399,5 @@
 	size_t size;
 	sysarg_t *id_buf;
-	errno_t rc;
+	int rc;
 
 	log_msg(LOG_DEFAULT, LVL_DEBUG, "inetcfg_get_addr_list_srv()");
@@ -419,5 +419,5 @@
 	size = min(act_size, max_size);
 
-	errno_t retval = async_data_read_finalize(rcallid, id_buf, size);
+	sysarg_t retval = async_data_read_finalize(rcallid, id_buf, size);
 	free(id_buf);
 
@@ -433,5 +433,5 @@
 	size_t size;
 	sysarg_t *id_buf;
-	errno_t rc;
+	int rc;
 
 	log_msg(LOG_DEFAULT, LVL_DEBUG, "inetcfg_get_addr_list_srv()");
@@ -453,5 +453,5 @@
 	size = min(act_size, max_size);
 
-	errno_t retval = async_data_read_finalize(rcallid, id_buf, size);
+	sysarg_t retval = async_data_read_finalize(rcallid, id_buf, size);
 	free(id_buf);
 
@@ -467,5 +467,5 @@
 	size_t size;
 	sysarg_t *id_buf;
-	errno_t rc;
+	int rc;
 
 	log_msg(LOG_DEFAULT, LVL_DEBUG, "inetcfg_get_sroute_list_srv()");
@@ -487,5 +487,5 @@
 	size = min(act_size, max_size);
 
-	errno_t retval = async_data_read_finalize(rcallid, id_buf, size);
+	sysarg_t retval = async_data_read_finalize(rcallid, id_buf, size);
 	free(id_buf);
 
@@ -496,5 +496,5 @@
 {
 	sysarg_t link_id;
-	errno_t rc;
+	int rc;
 
 	log_msg(LOG_DEFAULT, LVL_DEBUG, "inetcfg_link_add_srv()");
@@ -515,5 +515,5 @@
 	sysarg_t link_id;
 	inet_link_info_t linfo;
-	errno_t rc;
+	int rc;
 
 	link_id = IPC_GET_ARG1(*call);
@@ -542,5 +542,5 @@
 	}
 
-	errno_t retval = async_data_read_finalize(name_callid, linfo.name,
+	sysarg_t retval = async_data_read_finalize(name_callid, linfo.name,
 	    min(name_max_size, str_size(linfo.name)));
 	if (retval != EOK) {
@@ -562,5 +562,5 @@
 {
 	sysarg_t link_id;
-	errno_t rc;
+	int rc;
 
 	log_msg(LOG_DEFAULT, LVL_DEBUG, "inetcfg_link_remove_srv()");
@@ -592,5 +592,5 @@
 	
 	inet_naddr_t dest;
-	errno_t rc = async_data_write_finalize(callid, &dest, size);
+	int rc = async_data_write_finalize(callid, &dest, size);
 	if (rc != EOK) {
 		async_answer_0(callid, rc);
@@ -636,5 +636,5 @@
 {
 	sysarg_t sroute_id;
-	errno_t rc;
+	int rc;
 
 	log_msg(LOG_DEFAULT, LVL_DEBUG, "inetcfg_sroute_delete_srv()");
@@ -658,5 +658,5 @@
 	srinfo.name = NULL;
 	
-	errno_t rc = inetcfg_sroute_get(sroute_id, &srinfo);
+	int rc = inetcfg_sroute_get(sroute_id, &srinfo);
 	if (rc != EOK) {
 		async_answer_0(iid, rc);
@@ -714,5 +714,5 @@
 	free(srinfo.name);
 	
-	async_answer_0(iid, rc);
+	async_answer_0(iid, (sysarg_t) rc);
 }
 
@@ -721,5 +721,5 @@
 	char *name;
 	sysarg_t sroute_id;
-	errno_t rc;
+	int rc;
 
 	log_msg(LOG_DEFAULT, LVL_DEBUG, "inetcfg_sroute_get_id_srv()");
Index: uspace/srv/net/inetsrv/inetping.c
===================================================================
--- uspace/srv/net/inetsrv/inetping.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/srv/net/inetsrv/inetping.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -58,5 +58,5 @@
 static uint16_t inetping_ident = 0;
 
-static errno_t inetping_send(inetping_client_t *client, inetping_sdu_t *sdu)
+static int inetping_send(inetping_client_t *client, inetping_sdu_t *sdu)
 {
 	if (sdu->src.version != sdu->dest.version)
@@ -73,5 +73,5 @@
 }
 
-static errno_t inetping_get_srcaddr(inetping_client_t *client,
+static int inetping_get_srcaddr(inetping_client_t *client,
     inet_addr_t *remote, inet_addr_t *local)
 {
@@ -94,5 +94,5 @@
 }
 
-errno_t inetping_recv(uint16_t ident, inetping_sdu_t *sdu)
+int inetping_recv(uint16_t ident, inetping_sdu_t *sdu)
 {
 	inetping_client_t *client = inetping_client_find(ident);
@@ -107,5 +107,5 @@
 	aid_t req = async_send_1(exch, INETPING_EV_RECV, sdu->seq_no, &answer);
 
-	errno_t rc = async_data_write_start(exch, &sdu->src, sizeof(sdu->src));
+	int rc = async_data_write_start(exch, &sdu->src, sizeof(sdu->src));
 	if (rc != EOK) {
 		async_exchange_end(exch);
@@ -130,8 +130,8 @@
 	}
 
-	errno_t retval;
+	sysarg_t retval;
 	async_wait_for(req, &retval);
 
-	return retval;
+	return (int) retval;
 }
 
@@ -142,5 +142,5 @@
 
 	inetping_sdu_t sdu;
-	errno_t rc;
+	int rc;
 
 	sdu.seq_no = IPC_GET_ARG1(*icall);
@@ -222,5 +222,5 @@
 	}
 
-	errno_t rc = async_data_write_finalize(callid, &remote, size);
+	int rc = async_data_write_finalize(callid, &remote, size);
 	if (rc != EOK) {
 		async_answer_0(callid, rc);
@@ -254,5 +254,5 @@
 }
 
-static errno_t inetping_client_init(inetping_client_t *client)
+static int inetping_client_init(inetping_client_t *client)
 {
 	async_sess_t *sess = async_callback_receive(EXCHANGE_SERIALIZE);
@@ -289,5 +289,5 @@
 
 	inetping_client_t client;
-	errno_t rc = inetping_client_init(&client);
+	int rc = inetping_client_init(&client);
 	if (rc != EOK)
 		return;
Index: uspace/srv/net/inetsrv/inetping.h
===================================================================
--- uspace/srv/net/inetsrv/inetping.h	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/srv/net/inetsrv/inetping.h	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -42,5 +42,5 @@
 
 extern void inetping_conn(ipc_callid_t, ipc_call_t *, void *);
-extern errno_t inetping_recv(uint16_t, inetping_sdu_t *);
+extern int inetping_recv(uint16_t, inetping_sdu_t *);
 
 #endif
Index: uspace/srv/net/inetsrv/inetsrv.c
===================================================================
--- uspace/srv/net/inetsrv/inetsrv.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/srv/net/inetsrv/inetsrv.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -38,5 +38,4 @@
 #include <async.h>
 #include <errno.h>
-#include <str_error.h>
 #include <fibril_synch.h>
 #include <io/log.h>
@@ -84,10 +83,10 @@
 static void inet_default_conn(ipc_callid_t, ipc_call_t *, void *);
 
-static errno_t inet_init(void)
+static int inet_init(void)
 {
 	log_msg(LOG_DEFAULT, LVL_DEBUG, "inet_init()");
 	
 	port_id_t port;
-	errno_t rc = async_create_port(INTERFACE_INET,
+	int rc = async_create_port(INTERFACE_INET,
 	    inet_default_conn, NULL, &port);
 	if (rc != EOK)
@@ -106,5 +105,5 @@
 	rc = loc_server_register(NAME);
 	if (rc != EOK) {
-		log_msg(LOG_DEFAULT, LVL_ERROR, "Failed registering server: %s.", str_error(rc));
+		log_msg(LOG_DEFAULT, LVL_ERROR, "Failed registering server (%d).", rc);
 		return EEXIST;
 	}
@@ -113,5 +112,5 @@
 	rc = loc_service_register(SERVICE_NAME_INET, &sid);
 	if (rc != EOK) {
-		log_msg(LOG_DEFAULT, LVL_ERROR, "Failed registering service: %s.", str_error(rc));
+		log_msg(LOG_DEFAULT, LVL_ERROR, "Failed registering service (%d).", rc);
 		return EEXIST;
 	}
@@ -135,5 +134,5 @@
 }
 
-static errno_t inet_find_dir(inet_addr_t *src, inet_addr_t *dest, uint8_t tos,
+static int inet_find_dir(inet_addr_t *src, inet_addr_t *dest, uint8_t tos,
     inet_dir_t *dir)
 {
@@ -165,10 +164,10 @@
 }
 
-errno_t inet_route_packet(inet_dgram_t *dgram, uint8_t proto, uint8_t ttl,
+int inet_route_packet(inet_dgram_t *dgram, uint8_t proto, uint8_t ttl,
     int df)
 {
 	inet_dir_t dir;
 	inet_link_t *ilink;
-	errno_t rc;
+	int rc;
 
 	if (dgram->iplink != 0) {
@@ -201,5 +200,5 @@
 }
 
-static errno_t inet_send(inet_client_t *client, inet_dgram_t *dgram,
+static int inet_send(inet_client_t *client, inet_dgram_t *dgram,
     uint8_t proto, uint8_t ttl, int df)
 {
@@ -207,8 +206,8 @@
 }
 
-errno_t inet_get_srcaddr(inet_addr_t *remote, uint8_t tos, inet_addr_t *local)
+int inet_get_srcaddr(inet_addr_t *remote, uint8_t tos, inet_addr_t *local)
 {
 	inet_dir_t dir;
-	errno_t rc;
+	int rc;
 
 	rc = inet_find_dir(NULL, remote, tos, &dir);
@@ -252,5 +251,5 @@
 	
 	inet_addr_t remote;
-	errno_t rc = async_data_write_finalize(callid, &remote, size);
+	int rc = async_data_write_finalize(callid, &remote, size);
 	if (rc != EOK) {
 		async_answer_0(callid, rc);
@@ -314,5 +313,5 @@
 	}
 	
-	errno_t rc = async_data_write_finalize(callid, &dgram.src, size);
+	int rc = async_data_write_finalize(callid, &dgram.src, size);
 	if (rc != EOK) {
 		async_answer_0(callid, rc);
@@ -445,5 +444,5 @@
 }
 
-errno_t inet_ev_recv(inet_client_t *client, inet_dgram_t *dgram)
+int inet_ev_recv(inet_client_t *client, inet_dgram_t *dgram)
 {
 	async_exch_t *exch = async_exchange_begin(client->sess);
@@ -457,5 +456,5 @@
 	    dgram->iplink, &answer);
 
-	errno_t rc = async_data_write_start(exch, &dgram->src, sizeof(inet_addr_t));
+	int rc = async_data_write_start(exch, &dgram->src, sizeof(inet_addr_t));
 	if (rc != EOK) {
 		async_exchange_end(exch);
@@ -480,11 +479,11 @@
 	}
 
-	errno_t retval;
+	sysarg_t retval;
 	async_wait_for(req, &retval);
 
-	return retval;
-}
-
-errno_t inet_recv_dgram_local(inet_dgram_t *dgram, uint8_t proto)
+	return (int) retval;
+}
+
+int inet_recv_dgram_local(inet_dgram_t *dgram, uint8_t proto)
 {
 	inet_client_t *client;
@@ -509,5 +508,5 @@
 }
 
-errno_t inet_recv_packet(inet_packet_t *packet)
+int inet_recv_packet(inet_packet_t *packet)
 {
 	inet_addrobj_t *addr;
@@ -543,5 +542,5 @@
 int main(int argc, char *argv[])
 {
-	errno_t rc;
+	int rc;
 
 	printf(NAME ": HelenOS Internet Protocol service\n");
Index: uspace/srv/net/inetsrv/inetsrv.h
===================================================================
--- uspace/srv/net/inetsrv/inetsrv.h	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/srv/net/inetsrv/inetsrv.h	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -151,9 +151,9 @@
 } inet_dir_t;
 
-extern errno_t inet_ev_recv(inet_client_t *, inet_dgram_t *);
-extern errno_t inet_recv_packet(inet_packet_t *);
-extern errno_t inet_route_packet(inet_dgram_t *, uint8_t, uint8_t, int);
-extern errno_t inet_get_srcaddr(inet_addr_t *, uint8_t, inet_addr_t *);
-extern errno_t inet_recv_dgram_local(inet_dgram_t *, uint8_t);
+extern int inet_ev_recv(inet_client_t *, inet_dgram_t *);
+extern int inet_recv_packet(inet_packet_t *);
+extern int inet_route_packet(inet_dgram_t *, uint8_t, uint8_t, int);
+extern int inet_get_srcaddr(inet_addr_t *, uint8_t, inet_addr_t *);
+extern int inet_recv_dgram_local(inet_dgram_t *, uint8_t);
 
 #endif
Index: uspace/srv/net/inetsrv/ndp.c
===================================================================
--- uspace/srv/net/inetsrv/ndp.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/srv/net/inetsrv/ndp.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -64,5 +64,5 @@
 }
 
-static errno_t ndp_send_packet(inet_link_t *link, ndp_packet_t *packet)
+static int ndp_send_packet(inet_link_t *link, ndp_packet_t *packet)
 {
 	inet_dgram_t dgram;
@@ -77,5 +77,5 @@
 }
 
-static errno_t ndp_router_advertisement(inet_dgram_t *dgram, inet_addr_t *router)
+static int ndp_router_advertisement(inet_dgram_t *dgram, inet_addr_t *router)
 {
 	// FIXME TODO
@@ -83,10 +83,10 @@
 }
 
-errno_t ndp_received(inet_dgram_t *dgram)
+int ndp_received(inet_dgram_t *dgram)
 {
 	log_msg(LOG_DEFAULT, LVL_DEBUG, "ndp_received()");
 	
 	ndp_packet_t packet;
-	errno_t rc = ndp_pdu_decode(dgram, &packet);
+	int rc = ndp_pdu_decode(dgram, &packet);
 	if (rc != EOK)
 		return rc;
@@ -151,5 +151,5 @@
  *
  */
-errno_t ndp_translate(addr128_t src_addr, addr128_t ip_addr, addr48_t mac_addr,
+int ndp_translate(addr128_t src_addr, addr128_t ip_addr, addr48_t mac_addr,
     inet_link_t *ilink)
 {
@@ -160,5 +160,5 @@
 	}
 	
-	errno_t rc = ntrans_lookup(ip_addr, mac_addr);
+	int rc = ntrans_lookup(ip_addr, mac_addr);
 	if (rc == EOK)
 		return EOK;
